about summary refs log tree commit diff stats
path: root/home-manager/config/lf/commands/scripts/stripspace
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-05-28 22:10:24 +0200
committerSoispha <soispha@vhack.eu>2023-05-28 22:10:24 +0200
commite5af81a5f9d9d3a2af0d3e970815e3c73beb0840 (patch)
treea8acf6adde5c6f509bf523c28d4243869a3d1107 /home-manager/config/lf/commands/scripts/stripspace
parentFix(bootstrap): Quote scripts (diff)
downloadnixos-config-e5af81a5f9d9d3a2af0d3e970815e3c73beb0840.tar.gz
nixos-config-e5af81a5f9d9d3a2af0d3e970815e3c73beb0840.zip
Fix(hm/conf/lf/cmds): Rework some of them
Diffstat (limited to '')
-rwxr-xr-xhome-manager/config/lf/commands/scripts/stripspace8
1 files changed, 4 insertions, 4 deletions
diff --git a/home-manager/config/lf/commands/scripts/stripspace b/home-manager/config/lf/commands/scripts/stripspace
index 59971a0b..2f047795 100755
--- a/home-manager/config/lf/commands/scripts/stripspace
+++ b/home-manager/config/lf/commands/scripts/stripspace
@@ -4,10 +4,10 @@
 SHELL_LIBRARY_VERSION="1.1.3" . %SHELL_LIBRARY_PATH
 
 files=$(mktmp);
-echo "$fx" > $files;
+echo "$fx" > "$files";
 
 awk_source=$(mktmp);
-cat << OFT > $awk_source
+cat << OFT > "$awk_source"
 BEGIN {FS=" "}
 {for (i=1; i != NF + 1; i++)
     if (i == NF) {
@@ -21,11 +21,11 @@ OFT
 
 while read -r file; do
     dirty_name=$(mktmp)
-    basename "$file" > $dirty_name;
+    basename "$file" > "$dirty_name";
     clean_name=$(awk -f "$awk_source" "$dirty_name");
 
     [ -e "$clean_name" ] && die "file \"$clean_name\" already exists!";
-    mv "$(cat $dirty_name)" "$clean_name" || die "Move failed";
+    mv "$(cat "$dirty_name")" "$clean_name" || die "Move failed";
     lf -remote 'send reload'
 done < "$files";
 # vim: ft=sh